EDIT - bug #8525

search for infraspecific name not working as expected
09/06/2019 11:48 AM - Gabriele Droge

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: utis Estimated time: 0:00 hour
Target version: UTIS 1.4

Severity: normal Found in Version:

Description

Example:

https://cybertaxonomy.eu/eu-bon/utis/1.3/search?query=Corvus%20corone%20subsp.%20corone&providers=bgbm-cdm-server[corvi
dae]&searchMode=scientificNameExact&addSynonymy=true&addParentTaxon=false&pageSize=20

finds expteced results, but
https://cybertaxonomy.eu/eu-bon/utis/1.3/search?query=Corvus%20corone%20corone&providers=bgbm-cdm-server[corvidae]&sear
chMode=scientificNameExact&addSynonymy=true&addParentTaxon=false&pageSize=20

does not. Since the searched name should be the canonicalName | expect a match with the canonicalName Utis is providing.

In B-HIT we use the common spelling of infraspecific names without the rank specification, e.g. Corvus corone corone or for
Cactaceae as an example Cereus fernambucensis sericifer -> currently no result:
https://cybertaxonomy.eu/eu-bon/utis/1.3/search?query=Cereus%20fernambucensis%20sericifer&providers=bgbm-cdm-server%5Bc
aryophyllales_spp%5D&searchMode=scientificNameExact&addSynonymy=true&addParentTaxon=false&pageSize=20

Related issues:
Is duplicate of EDIT - feature request #9292: find by name parts search imple... New

History

#1 - 02/26/2021 11:57 AM - Andreas Kohlbecker

- Is duplicate of feature request #9292: find by name parts search implemented added

#2 - 02/25/2022 04:45 PM - Andreas Miiller
- Project changed from UTIS to EDIT

- Category set to utis

- Status changed from New to Duplicate

- Target version set to UTIS 1.4

- Severity set to normal
